{% extends 'base.html.twig' %}
{% block body %}


    <h1 class="text-center">My Items</h1>

    <main role="main" class="col-10 ml-sm-auto col-lg-10 pl-1 text-center mx-auto">

        <div class="col-12 text-center mx-auto">
            <div class="row mx-auto">

                {% set i = 1 %}
                {% for item in items %}

                <div class="card col-3 ml-1 mr-1 mb-3 p-1 mx-auto" onclick="location.href='{{ path("item_show",{'id':item.id}) }}'">

                    <a href="#"><img class="card-img-top img-catalog"
                                     src="{{ asset("/uploads/"~item.image) }}"
                                     alt="Card image cap"></a>
                    <div class="card-body">
                        <h3 class="card-title"><a href="#">{{ item.name }} - {{ item.brand }}</a></h3>
                        <p class="card-text text-center">{{ item.price }}€</p>
                        <p class="card-text">{{ item.description }}</p>
                    </div>
                    {%  set percent = item.soldTickets*100/item.nbreTickets %}
                    <div class="ui indicating progress active" data-percent="{{ percent }}">
                        <div class="bar" style="width:{{ percent }}%;"></div>
                        <div class="label">Progress</div>

                        {% if item.winner %}
                            {{ item.winner.address }}
                        {% else %}
                        <p>No winner yet.</p>
                        {% endif %}


                    </div>
                </div>
                {% if i == 4 %}
            </div>
            <div class="row">

                {% set i = 0 %}
                {% endif %}
                {% set i=i+1 %}
                {% endfor %}

            </div>
        </div>
    </main>
{% endblock %}